Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface DocumentEvent.ElementChange

All Known Implementing Classes:
  AbstractDocument.ElementEdit

public abstract static interface DocumentEvent.ElementChange

Describes changes made to an element.

Method Summary
`Element[]` | `getChildrenAdded()` Gets the child elements that were added to the given parent element.
`Element[]` | `getChildrenRemoved()` Gets the child elements that were removed from the given parent element.
`Element` | `getElement()` Returns the element represented.
`int` | `getIndex()` Fetches the index within the element represented.

Method Detail

### getElement

    public Element getElement()

  Returns the element represented. This is the element that was changed.
  Returns:
    the element

### getIndex

    public int getIndex()

  Fetches the index within the element represented. This is the location that children were added and/or removed.
  Returns:
    the index >= 0

### getChildrenRemoved

    public Element[] getChildrenRemoved()

  Gets the child elements that were removed from the given parent element. The parent element is expected to be one of the elements listed in the elementsModified method. The element array returned is sorted in the order that the elements used to lie in the document.
  Returns:
    the child elements

### getChildrenAdded

    public Element[] getChildrenAdded()

  Gets the child elements that were added to the given parent element. The parent element is expected to be one of the elements given in the elementsModified method. The element array returned is sorted in the order that the elements lie in the document.
  Returns:
    the child elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.